package com.ruoyi.system.service.task;

import com.ruoyi.system.domain.task.TkCommonTask;
import com.ruoyi.system.domain.task.request.TkResetRequest;

/**
 * @author vidar
 * date 2024/6/14
 * description
 **/
public interface TaskService {
    String add(TkCommonTask tkCommonTask);
    void addNew(TkCommonTask tkCommonTask);

    /**
     * 重置签批人
     * @param request
     */
    void resetQpr(TkResetRequest request);

    /**
     * 重置到指派工单前
     * @param task
     */
    void resetAfterAssigned(TkCommonTask task);

    void dealBihuan();
}
